Skip to main content
GET
Fetch Beneficiary by Id
Fetches a single fiat beneficiary by ID.

Authorizations

x-api-key
string
header
required

Requires authentication via API key and HMAC signature.

  • x-api-key: Your API key generated from your Onboard Business dashboard.
  • x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 seconds
  • x-signature: SHA256 HMAC HEX signature calculated over t={x-timestamp}&{requestBody} using your API Secret.

Path Parameters

beneficiaryId
string<uuid>
required

The unique ID of a beneficiary

Response

Beneficiary fetched

Fiat beneficiary object

bankCode
string
required

Beneficiary bank code

Required string length: 3 - 12
id
string<uuid>
required

Beneficiary identifier

accountNumber
string
required

Beneficiary account number, for international payments like SEPA, this is the IBAN

accountName
string
required

Beneficiary account name

currency
string
required
accountHolderType
enum<string>
required
Available options:
INDIVIDUAL,
BUSINESS
bankName
string

Beneficiary bank name

bankAddress
object
beneficiaryType
string

Discriminator value for beneficiary type. Allowed values include:

  • BeneficiaryLocalBankAccount
  • BeneficiarySepaBankAccount
  • BeneficiaryACHBankAccount
  • BeneficiarySwiftBankAccount
  • BeneficiaryMobileWalletAccount
isThirdParty
boolean
default:false

Flag to indicate if the beneficiary is a third party